%define version 2.3.17
%define release 3mdk
%define url ftp://ftp.ocs.com.au/pub/modutils/v2.3

Summary: The kernel daemon (kerneld) and kernel module utilities.
Name: modutils
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source0: %{url}/modutils-%{version}.tar.bz2
Source1: kmod.crond
Patch2: modutils-2.3.13-sound.patch.bz2
Patch3: modutils-2.3.17-exclude.patch.bz2
Exclusiveos: Linux
Buildroot: %{_tmppath}/modutils-root
Prereq: /sbin/chkconfig
Requires: vixie-cron >= 3.0.1-31
Obsoletes: modules
Prefix: %{_prefix}

%description
The modutils packages includes the kerneld program for automatic
loading of modules under 2.0 kernels and unloading of modules under
2.0 and 2.2 kernels, as well as other module management programs.
Examples of loaded and unloaded modules are device drivers and
filesystems, as well as some other things.

%prep
%setup -q
%patch2 -p1
%patch3 -p1

%build
%configure --disable-compat-2-0 --disable-kerneld --enable-insmod-static \
		--exec_prefix=/

# (fg) 20001005 -fomit-frame-pointer makes libsafe see an overflow where it may
# not exist... Whatever. Removed for now.
make CFLAGS="`echo $CFLAGS | sed -e 's,-fomit-frame-pointer,,'`" dep all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/sbin
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

if [ -f kerneld/Makefile ]; then
    make install-scripts prefix=$RPM_BUILD_ROOT%{prefix} exec_prefix=$RPM_BUILD_ROOT -C kerneld
    install -m 755 $RPM_SOURCE_DIR/kerneld.init $RPM_BUILD_ROOT/etc/rc.d/init.d/kerneld
else
    rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{kdstat,kerneld}.8
fi

# security hole, works poorly anyway
rm -f $RPM_BUILD_ROOT/sbin/request-route

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/kmod
install -m 644 $RPM_SOURCE_DIR/kmod.crond $RPM_BUILD_ROOT/etc/cron.d/kmod

%clean
rm -rf $RPM_BUILD_ROOT

%post
# get rid of the old installations on upgrade
if [ -x /etc/rc.d/init.d/kerneld ] ; then
    /sbin/chkconfig --del kerneld
fi
if [ -f /etc/conf.modules -a ! -f /etc/modules.conf ] ; then
   mv -f /etc/conf.modules /etc/modules.conf
fi

%files
%defattr(-,root,root)
%config(noreplace) /etc/cron.d/kmod
/sbin/*
%{_mandir}/*/*

%changelog

* Thu Oct 05 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.17-3mdk

- Removed -fomit-frame-pointer from CFLAGS - makes libsafe happier

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.17-2mdk
- Exclude .rhkvtmag when trying to depmod -a (#410).

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.17-1mdk
- 2.3.17.

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.15-2mdk
- set some %config as noreplace.

* Fri Aug 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.15-1mdk
- new release (needed for latest hackkernel)

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 2.3.13-2mdk
- fix bill-rh's sound patch, was breaking pre-install
- fix chmou's changelog ;p

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.13-1mdk
- new version

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.12-2mdk
- BM.

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.12-1mdk
- 2.3.12.

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.11-1mdk
- 2.3.11.
- Merge with RH.
- Now we using /etc/modules.conf (conf.modules is depreciated).

* Mon Apr 10 2000 Adam Lebsack <adam@mandrakesoft.com> 2.3.10-2mdk
- Removed the installing of /etc/rc.d/init.d/kerneld

* Tue Mar 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.10-1mdk
- Remove static files.
- Move depmod_is_necessary  to initscripts package.
- 2.3.10.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.9-2mdk
- Don't cry when a conf.modules is much recent than modules.dep.
- Adjust groups.

* Mon Mar  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.9-1mdk
- 2.3.9.
- Patch upgrade disabling warning about conf.modules.
- getmod() also in alsa/ directory.

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- added prog is_depmod_necessary
- depmod -a now done only if is_depmod_necessary

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fixing typo.

* Fri Apr 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing kerneld.
- Adptations patch.
- Cleaning .spec.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patchs from Redhat6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- restore de,fr,tr locales from RH 5.2 version
- Don't load kerneld if we have kmod.

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- added support for /lib/modules/foo/pcmcia
- make kerneld initscript not start by default

* Tue Feb 23 1999 Matt Wilson <msw@redhat.com>
- added sparc64 support from UltraPenguin

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
